POST
/api/v1/api-keysCreate a new API key
The full key (rawKey) is returned ONLY on creation and cannot be retrieved again.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"orgId": "string",
"name": "string",
"scopes": [
"string"
]
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"orgId",
"name"
],
"properties": {
"orgId": {
"type": "string"
},
"name": {
"type": "string"
},
"scopes": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}Response
All status codes
201API key created (includes rawKey)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/api-keys \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "orgId": "string", "name": "string", "scopes": [ "string" ] }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/api-keys",
body: {
"orgId": "string",
"name": "string",
"scopes": [
"string"
]
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/api-keys",
body={
"orgId": "string",
"name": "string",
"scopes": [
"string"
]
},
)
print(response)Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/api-keys", map[string]any{"orgId": "string", "name": "string", "scopes": []any{"string"}})
if err != nil { panic(err) }
fmt.Println(resp)
}